* {
  margin: 0;
  padding: 0;

/*  font-family: "jokerman";  */
  }
.header {
//  font-family: 'Cabin Sketch', cursive;
  font-family: 'Fondamento', cursive;
//  font-family: 'UnifrakturMaguntia', cursive;
  border:1px solid black;
  padding-top: 1%;
  height: 15%;
  width:99%;
//  font-size:42px;
  font-size:1.5em;
  color: white;
  text-align: center;
//  background-color:blue;
  background-size: auto;
  background-image: url("images/Stars.png");
}
.scaryheader {
//  font-family: 'Cabin Sketch', cursive;
  font-family: 'Chiller', cursive;
//  font-family: 'UnifrakturMaguntia', cursive;
  border:1px solid black;
  padding-top: 1%;
  height: 15%;
  width:99%;
//  font-size:42px;
  font-size:2em;
  color: white;
  text-align: center;
//  background-color:blue;
  background-size: auto;
  background-image: url("images/Stars.png");
}
.subheader {
//  font-family: 'Cabin Sketch', cursive;
  font-family: 'Great Vibes',cursive;
//  font-weight: bold;
//  font-style: italic;
//  font-size:26px;
  font-size: 1em;
  border:1px solid black;
  padding-top: 1%;
  height: 15%;
  width: 99%;
  color: white;
  text-align: center;
//  background-color:blue;
  background-size: auto;
  background-position: center bottom;
  background-image: url("images/Stars.png");
}
.scarysubheader {
//  font-family: 'Cabin Sketch', cursive;
  font-family: 'Chiller',cursive;
//  font-weight: bold;
//  font-style: italic;
//  font-size:26px;
  font-size: 1.5em;
  border:1px solid black;
  padding-top: 1%;
  height: 15%;
  width: 99%;
  color: white;
  text-align: center;
//  background-color:blue;
  background-size: auto;
  background-position: center bottom;
  background-image: url("images/Stars.png");
}
.level {
  font-family: 'Cabin Sketch', cursive;
  border:1px solid black;
  /*padding-top: 1%;*/
  padding-left: 5%;
  height: 10%;
  width: 94%;
//  font-size: 30px;
  font-size: .8em;
  color: rgb(63,71,208); //#3f47d0;
  font-weight: bold;
  text-align: left;
  background-color: orange;
}
.question {
  font-family: "Cabin Sketch", cursive;
  padding-top: 1%;
  border:1px solid black;
  height: 41%;
  width: 99%;
  font-size: 1em; //28px;
  color: white;
  text-align: left;
  background-color:black;
  background-image: url("images/Stars.png");
}
.scaryquestion {
  font-family: "Chiller", cursive;
  padding-top: 1%;
  border:1px solid black;
  height: 41%;
  width: 99%;
  font-size: 1.5em; //28px;
  color: white;
  text-align: left;
  background-color:black;
  background-image: url("images/Stars.png");
}
.grid {
  cursor: pointer;
  font-size: .75em; //20px;
  padding-top: 2%;
  padding-bottom:2%;
  padding-left: 5%;
  text-align: left;
  align-content: flex;
  display:grid;
  grid-gap: 8px;
  //background-color:blue;
  background-image: url("images/Stars.png");
  grid-template-columns:29% 70%;
  grid-template-rows:1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-areas:
  "grade1 addsub"
  "grade2 multdiv"
  "grade3 pemdas"
  "grade4 fractions"
  "grade5 decimals"
  "grade6 prealgebra"
  "grade7 graphing"
  ". factoring";
}
.grid div a {
  align-content: space-around;
  text-decoration: none;
  color: white;
}
.grid div a:hover {
  opacity: 50%;
}
.grade1 {
  grid-area: grade1;
  font-weight: bold;
}
.grade2 {
  grid-area: grade2;
  font-weight: bold;
}
.grade3 {
  grid-area: grade3;
  font-weight: bold;
}
.grade4 {
  grid-area: grade4;
  font-weight: bold;
}
.grade5 {
  grid-area: grade5;
  font-weight: bold;
}
.grade6 {
  grid-area: grade6;
  font-weight: bold;
}
.grade7 {
  grid-area: grade7;
  font-weight: bold;
}
.addsub {
  grid-area: addsub;
  font-weight: bold;
}
.multdiv {
  grid-area: multdiv;
  font-weight: bold;
}
.pemdas {
  grid-area: pemdas;
  font-weight: bold;
}
.fractions {
  grid-area: fractions;
  font-weight: bold;
}
.decimals{
  grid-area: decimals;
  font-weight: bold;
}
.prealgebra {
  grid-area: prealgebra;
  font-weight: bold;
}
.graphing {
  grid-area: graphing;
  font-weight: bold;
}
.factoring {
  grid-area: factoring;
  font-weight: bold;
}
.userinput {
  padding-top: 1%;
  padding-left: 5%;
  border:1px solid black;
  height: 15%;
  width: 99%;
  font-size:1em; //48px;
  color: white;
  text-align: left;
//  background-color:blue;
  background-image: url("images/Stars.png");
}
.answer {
  padding-top: 1%;
  padding-bottom: 1%;
  padding-left: 5%;
  border:1px solid black;
  height: 20%;
  width:94%;
  font-size:1em; //24px;
  color: white;
  text-align: left;
//  background-color:blue;
  background-image: url("images/Stars.png");
  font-family: 'Fondamento', cursive;
}
.answer p {
  padding-top: 1%;
  font-family: 'Fondamento', cursive;
}
.userinput form input {
  width:99%;
  font-size: 1em; //48px;
  /*font-family: "Arial";
  font-family: 'Pangolin', cursive;
  font-family: 'Frijole', cursive;*/
  font-family: 'Cabin Sketch', cursive;
}
#timer {
	display: inline-block;
  color: rgb(63,71,208);
  font-size: 1em;
  padding-bottom: .5em;
	margin: 0 1rem;
  text-align: center;
}
.footer {
  border:1px solid black;
  padding-top: 1%;
  height: 6.35em;
  width:99%;
  font-size:.5em;
  color: rgb(63,71,208);
  text-align: center;
  background-color:orange;
}
.footer a {
  border-radius: .5em;
  text-decoration: none;
  font-weight: bold;
  padding: .35em;
  margin: .5em;
  color: orange;
  background-color: rgb(63,71,208);
}
/*
.program-window {
  width: 100vw;
  height: 100vh;
  background-color: black;
  position: fixed;
  top: 0;
  left: 0;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 100;
}
.randomproblem {
  padding-top: 10%;
  padding-left: 5%;
  font-size:48px;
  font-family: 'Cabin Sketch', cursive;
  color:orange;
  text-align: left;
  background-color:black;
}
*/
.finalmessage {
  padding:3%;
  background-color: black;
}
.finalmessage h2 {
  font-family: 'Cabin Sketch', cursive;
  padding-left: 5%;
  padding-bottom: 2%;
  font-size:1.25em; //48px;
  color:yellow;
  text-align: left;
  background-color:black;
}
.finalmessage p {
  font-family: 'Cabin Sketch', cursive;
  padding-left: 5%;
  font-size:1em; //36px;
  color:yellow;
  text-align: left;
  background-color:black;
}
/*
.problemgrid {
  cursor: default;
  font-size:48px;
  padding-top: 5%;
  padding-left: 5%;
  text-align: left;
  align-content: flex;
  display:grid;
  background-color:black;
  grid-template-columns:1fr 1fr;
  grid-template-rows:1fr 1fr 1fr 1fr;
  grid-template-areas:
  "problemnum problemnum"
  "problem problem"
  "problem problem"
  "problem answerprompt";
}
*/
.problemnum {
  /*grid-area: problemnum;*/
  font-weight: bold;
  padding-left: 5%;
  font-size: 1em; //48px;
}
.problem {
  /*grid-area: problem;*/
  float: left;
  font-weight: bold;
  padding-top: 2%;
  padding-left: 5%;
  font-size: 1em; //48px;
  font-family: 'Pangolin', cursive;
}
.answerprompt {
  /*grid-area: answerprompt;*/
  padding-top:1.95%;
  padding-left: 5%;
  font-size: 1em; //48px;
  font-weight: bold;
}
#answer {
  font-size: 1em; //48px;
  background: black;
  color: white;
  border-color: black;
  font-weight: bold;
  /*font-family: "Arial";
  font-family: 'Cabin Sketch', cursive;
  font-family: 'Frijole', cursive;*/
  font-family: 'Pangolin', cursive;
  background-image: url("images/Stars.png");
}
#answer:focus {
  outline:none;
}
.storyImage {
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 5px;
  width: 24%;
  height: 24%;
  float: right;
}
.modal {
  position: fixed;
  top: 50%;
  left: 50%;
  /* scale (0) makes it default to invisible */
  transform: translate(-50%,-50%) scale(0);
  transition: 200ms ease-in-out;
  border: 1px solid black;
  border-radius: 10px;
  z-index: 10;
  background-color: white;
  width: 500px;
  max-width: 80%
  opacity: 0;
  visibility: hidden;
}
.show-modal {
  opacity: 1;
  visibility: visible;
  /* scale (1) activates the modal */
  transform: translate(-50%,-50%) scale(1);
  transition: 200ms ease-in-out;
}
.modal.active {
  /* scale (1) activates the modal */
  transform: translate(-50%,-50%) scale(1);
  visibility: visible;
}
.modal-header {
  padding: 10px 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid black;
}
.modal-header .htitle {
  font-size: 1.25rem;
  font-weight: bold;
}
.himage img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.modal-header .close-button {
  cursor: pointer;
  border: none;
  outline: none;
  background: none;
  font-size: 1.25rem;
  font-weight: bold;
}
.modal-body {
  padding: 10px 15px;
}
#overlay {
  position: fixed;
  opacity: 0;
  transition: 200ms ease-in-out;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,.5);
  pointer-events: none; /* to deactivate mouse-clicks outside of the modal */
}
#overlay.active {
  opacity: 1;
  pointer-events: all;
}
